Show / Hide Table of Contents

# Class OpenIddictServerDataProtectionHandlerFilters.RequireDataProtectionAuthorizationCodeFormatEnabled

Represents a filter that excludes the associated handlers if OpenIddict was not configured to issue ASP.NET Core Data Protection authorization codes.

##### Inheritance

System.Object
OpenIddictServerDataProtectionHandlerFilters.RequireDataProtectionAuthorizationCodeFormatEnabled

##### Implements

IOpenIddictServerHandlerFilter<BaseContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server.DataProtection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class RequireDataProtectionAuthorizationCodeFormatEnabled : IOpenIddictServerHandlerFilter<BaseContext>

### Constructors

#### RequireDataProtectionAuthorizationCodeFormatEnabled(IOptionsMonitor<OpenIddictServerDataProtectionOptions>)

##### Declaration

    public RequireDataProtectionAuthorizationCodeFormatEnabled(IOptionsMonitor<OpenIddictServerDataProtectionOptions> options)

##### Parameters

Type | Name | Description
--- | --- | ---
IOptionsMonitor<OpenIddictServerDataProtectionOptions> | options |

### Methods

#### IsActiveAsync(BaseContext)

##### Declaration

    public ValueTask<bool> IsActiveAsync(BaseContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
BaseContext | context |

##### Returns

Type | Description
--- | ---
ValueTask<System.Boolean> |

### Implements

IOpenIddictServerHandlerFilter<TContext>